com.mapinfo.midev.language.aggregation

## Interface IAggregationCapability

All Known Implementing Classes:
  AvgAggregationCapability, CentroidAggregationCapability, CountAllAggregationCapability, CountDistinctAggregationCapability, GroupByAggregationCapability, LimitAggregationCapability, MajorityAggregationCapability, MaxAggregationCapability, MbrAggregationCapability, MedianAggregationCapability, MinAggregationCapability, ModeAggregationCapability, OffsetAggregationCapability, OrderByAggregationCapability, SameAggregationCapability, ScaleAggregationCapability, StdDevAggregationCapability, SumAggregationCapability, UnionAggregationCapability

    public interface IAggregationCapability

Base interface for all aggregation language capability metadata.

See Also:
  `AggregationLanguage`, `AggregatingSearch`, `AggregationCapabilities`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isSupported(IAggregationCapability desiredCapability)` Returns `true` if the specified desired `IAggregationCapability` is supported by this `IAggregationCapability`; `false` if not.

### Method Detail

#### isSupported

    boolean isSupported(IAggregationCapability desiredCapability)

Returns `true` if the specified desired `IAggregationCapability` is supported by this `IAggregationCapability`; `false` if not.

Parameters:
  `desiredCapability` - the desired `IAggregationCapability` to check support of.
Returns:
  `true` if the specified desired `IAggregationCapability` is supported by this `IAggregationCapability`; `false` if not.